MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/permission.h File Reference

Go to the source code of this file.

## Defines
#define | PERMISSION_NONE 0
#define | PERMISSION_READ 1
#define | PERMISSION_ADD 2
#define | PERMISSION_CONTROL 4
#define | PERMISSION_ADMIN 8
## Functions
int | getPermissionFromPassword (char const *password, unsigned *permission)
void | finishPermissions (void)
unsigned | getDefaultPermissions (void)
void | initPermissions (void)

## Define Documentation

#define PERMISSION_ADD 2

Definition at line 25 of file permission.h.

#define PERMISSION_ADMIN 8

Definition at line 27 of file permission.h.

#define PERMISSION_CONTROL 4

Definition at line 26 of file permission.h.

#define PERMISSION_NONE 0

Definition at line 23 of file permission.h.

#define PERMISSION_READ 1

Definition at line 24 of file permission.h.

## Function Documentation

void finishPermissions | ( | void |  | ) |

unsigned getDefaultPermissions | ( | void |  | ) |

int getPermissionFromPassword | ( | char const * | password,
|  | unsigned * | permission
| ) |  |

void initPermissions | ( | void |  | ) |